PlayDistributionContainer (Gradle API 5.6.1)
Date: 2019-09-03

Package org.gradle.play.distribution

## Interface PlayDistributionContainer

- All Superinterfaces:
    `Collection<Distribution>`, `org.gradle.util.Configurable<NamedDomainObjectContainer<Distribution>>`, `DomainObjectCollection<Distribution>`, `Iterable<Distribution>`, `NamedDomainObjectCollection<Distribution>`, `NamedDomainObjectContainer<Distribution>`, `NamedDomainObjectSet<Distribution>`, `PolymorphicDomainObjectContainer<Distribution>`, `Set<Distribution>`

      @Incubating
      @Deprecated
      public interface PlayDistributionContainer
      extends PolymorphicDomainObjectContainer<Distribution>

  Deprecated.
  Manages a set of `Distribution` objects.

- - ### Method Summary

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `addAllLater, addLater, all, all, configureEach, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

      `add, addAll, addRule, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getByName, getCollectionSchema, getNamer, getNames, getRules, named, named, named, named`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectContainer

      `configure, create, create, create, maybeCreate, register, register`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

      `findAll, matching, matching, withType`

    - ### Methods inherited from interface org.gradle.api.PolymorphicDomainObjectContainer

      `containerWithType, create, create, maybeCreate, register, register`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`